Bug 841285 - JDK7 issue: Identify and Review all uses of Zip Streaming in JON 3.1.1
JDK7 issue: Identify and Review all uses of Zip Streaming in JON 3.1.1
Status: CLOSED NOTABUG
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server (Show other bugs)
JON 3.1.0
Unspecified Unspecified
high Severity urgent
: ---
: JON 3.1.1
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 10:57 EDT by Mike Foley
Modified: 2012-08-31 14:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-31 14:34:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2012-07-18 10:57:33 EDT
Description of problem:  There is a known behavior change with Zip Streaming between JDK6 and JDK7.  This has caused a unit test to fail.  Development should search the JON 3.1.1 codebase for other uses of the same Zip Streaming methods ... identify, review, and test.  



Reference:  https://bugzilla.redhat.com/show_bug.cgi?id=838681
Comment 1 Mike Foley 2012-07-18 10:58:43 EDT
<mfoley> the unit test that failed in that area
<mfoley> here we have a known change in behavior ...
<mfoley> between JDK6 and JDK7
<mfoley> can there be a development activity to do a code search and identify other areas that use the same zipstream method?
<ccrouch> mfoley: thats an excellent idea too, can you create a BZ for that and target it at jon311
<mfoley> will do
Comment 2 Heiko W. Rupp 2012-08-02 17:45:33 EDT
IntelliJ finds 67 occurrences of ZipOutputStream in the code base. 40 in production code and 27 in tests.
Comment 3 Heiko W. Rupp 2012-08-07 16:27:59 EDT
I went through all of those and I think they are fine now (especially given that John Sanda has fixed Bug 838681).
Comment 4 Mike Foley 2012-08-31 14:34:32 EDT
java7 removed as a feature from jon 3.1.1

not a bag, as no requirement exists.

Note You need to log in before you can comment on or make changes to this bug.